Get Account Transfers
curl --request GET \
--url https://access.utgl.io/v1/accounts/transfers \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://access.utgl.io/v1/accounts/transfers"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://access.utgl.io/v1/accounts/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prevPageToken": "eyJpZCI6IjE4MTkyMGE4LWEzZTMtNGY3OC05OTNlLTkwYWNjYzgyN2E4YiIsInBhZ2VTaXplIjo1LCJjdXJyZW50IjoxLCJkaXJlY3Rpb24iOiJwcmV2In0=",
"nextPageToken": "eyJpZCI6ImU1ZTNmOWY3LTI5ZjAtNDdiYi04ZTJiLWI4NjE5Y2Y2NjBjMCIsInBhZ2VTaXplIjo1LCJjdXJyZW50IjozLCJkaXJlY3Rpb24iOiJuZXh0In0=",
"transfers": [
{
"id": "05be07d5-62a2-4a4f-951e-381976672719"
},
{
"asset": "USD"
},
{
"refId": "WTCXC0VJV0"
},
{
"amounts": 5000
},
{
"sourceAccountId": "090ab04c-2ad2-41c5-beea-9bcc44148789"
},
{
"destinationAccountId": "1c361a1e-4990-44e4-8d50-38f81bf11477"
},
{
"description": "SETTLEMENT FOR PAYMENT \\#123"
},
{
"createdAt": "2024-01-01T16:00:00.000Z"
},
{
"xid": "2bbabfff-9de8-40ff-8bf0-43b97f1f06a9"
},
{
"xmetadata": {
"group": [
"123"
]
}
}
]
}Transfers
Get Account Transfers
Retrieve a collection of account transfer in reverse chronological order
GET
/
accounts
/
transfers
Get Account Transfers
Authorizations
BasicBearer
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Filter transfers by account id
Filter transfers by transfer id
Search transfers by description or ref id
Limits the number returned items Some collections have a upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used. If no page size is provided, the collection will determine the page size itself.
Required range:
x >= 1Example:
"aWVHZWV5OVgK"
Example:
"2022-01-01T00:00:00.000Z"
Example:
"2022-01-31T23:59:59.999Z"
Was this page helpful?

